/*******************************************/
/*                                         */
/*  File: chtmlidfs.h                      */
/*  Purpose: c2html identifier unit        */
/*                                         */
/*  Author: Sfiligoi Igor                  */
/*                                         */
/*  Created      : 25.03.1997              */
/*  Last modified: 25.03.1997              */
/*                                         */
/*******************************************/

#ifndef CHTMLIDFS_H
#define CHTMLIDFS_H

/* Init Routines */

void *hash_new();

void hash_dispose(void *hash);

/* Add Idf */
/* if htmlname==NULL, infile urls will be used will be used */

void hash_add(void *hash,
	      char *idfname,
	      char *htmlname);

/* Delete an  Idf */

void hash_del(void *hash,
	      char *idfname);

/* Search */
/* Returns URL if found, NULL else */

char * hash_find(void *hash,
		 char *idfname);

/* hash IO */

/* returns the name of the html file */
char *hash_load(void *hash,
		char *filename);

void hash_save(void *hash,
	       char *filename,
	       char *htmlname);

#endif /* CHTMLIDFS_H */
