
# line 2 "chtml.y"
/*******************************************/
/*                                         */
/*  File: chtml.y                          */
/*  Purpose: c2html yacc definition        */
/*                                         */
/*  Author: Sfiligoi Igor                  */
/*                                         */
/*  Created      : 30.01.1997              */
/*  Last modified: 26.03.1997              */
/*                                         */
/*******************************************/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "chtmlprocs.h"
#include "chtmldefs.h"
#include "chtmlidfs.h"


# line 23 "chtml.y"
typedef union 	{
	 char *str;		/* general puropse string */
	 IDFSTR idfstr;		/* identifier + string */
	 STRREC strrec;         /* string */
	} YYSTYPE;
# define l_IDENTIFIER 257
# define l_FUNC 258
# define l_SPACE 259
# define l_NEWLINE 260
# define l_STRING 261
# define l_TPOINT 262
# define l_OTHER 263
# define l_TYPEDEF 264
# define l_STRUNI 265
# define l_TYPEIDF 266
# define l_DEFINE 267
# define l_INCLUDE 268
# define l_PRECOMPILER 269
#define yyclearin yychar = -1
#define yyerrok yyerrflag = 0
extern int yychar;
extern int yyerrflag;
#ifndef YYMAXDEPTH
#define YYMAXDEPTH 150
#endif
YYSTYPE yylval, yyval;
typedef int yytabelem;
# define YYERRCODE 256

# line 873 "chtml.y"


/* report yacc errors */
void yyerror(char *str)
{
 fprintf(stderr,"yacc line %7i: %s\n",Curr_Line,str);
}

#include "lex.yy.c"
static const yytabelem yyexca[] ={
-1, 1,
	0, -1,
	-2, 0,
-1, 4,
	0, 1,
	-2, 155,
-1, 65,
	41, 80,
	-2, 155,
-1, 164,
	123, 88,
	-2, 155,
-1, 180,
	123, 87,
	-2, 155,
-1, 197,
	41, 80,
	-2, 155,
	};
# define YYNPROD 162
# define YYLAST 507
static const yytabelem yyact[]={

   126,   125,   129,    17,   130,    22,    19,    16,    12,   179,
    22,    58,    87,    40,    41,    44,    22,    46,    48,   198,
    61,   131,    59,    57,    53,    54,   126,   125,   129,     3,
   130,    56,    45,    63,    47,   190,    80,   175,    75,    40,
    41,    44,    50,    46,    85,   170,   142,   131,    72,   110,
    76,   127,   167,   128,   176,    40,    41,    44,    45,    46,
    47,    80,   168,    67,    42,   109,    43,    90,   126,   125,
   129,    66,   130,    83,    45,    81,    47,   127,   165,   128,
   132,    65,   197,   122,   193,   123,    21,   138,    70,   131,
    42,   184,    43,   155,   156,   159,    38,   161,    39,   191,
    77,   192,   201,    68,    20,    69,    42,   136,    43,   122,
   137,   123,   160,   194,   162,   164,    40,    41,    44,   127,
    46,   128,    38,   181,    39,    55,   163,    51,   141,   103,
   104,   105,    67,   107,     5,    45,    82,    47,    38,    23,
    39,   140,    86,   188,   157,    18,   158,    18,   106,   180,
   108,   122,    84,   123,   178,    74,    15,   169,    14,   171,
    49,    13,    25,    24,    11,    10,     9,    42,     8,    43,
    79,     7,     6,    89,    88,   133,    80,    64,     4,     2,
     1,     0,     0,    78,   173,   174,     0,     0,   177,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,    38,
     0,    39,     0,     0,     0,     0,   139,     0,     0,     0,
   183,     0,   101,     0,   102,     0,    22,   111,   112,     0,
   124,   113,   114,   115,   116,   117,   118,   119,   120,   121,
    27,    28,     0,   185,    29,    30,    31,    32,    33,    34,
    35,    36,    37,   111,   112,   171,   124,   113,   114,   115,
   116,   117,   118,   119,   120,   121,    27,    28,   195,   134,
    29,    30,    31,    32,    33,    34,    35,    36,    37,    63,
     0,   200,    27,    28,   196,    71,    29,    30,    31,    32,
    33,    34,    35,    36,    37,   111,   112,     0,   124,   113,
   114,   115,   116,   117,   118,   119,   120,   121,   133,    73,
     0,     0,     0,     0,   187,   186,     0,   182,     0,    91,
   143,   144,    26,   151,   145,   146,   147,   148,   149,   150,
   152,   153,   154,   182,     0,    60,     0,     0,    52,     0,
     0,     0,     0,    27,    28,     0,     0,    29,    30,    31,
    32,    33,    34,    35,    36,    37,    63,     0,     0,     0,
    92,    93,    94,    95,    96,    97,    98,    99,   100,    62,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,   135,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,   166,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,   172,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,   135,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,   189,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,   199 };
static const yytabelem yypact[]={

  -230, -1000,  -261, -1000,  -261, -1000, -1000, -1000, -1000, -1000,
 -1000, -1000,    76, -1000, -1000, -1000,  -243,  -256,  -215,  -233,
  -234,  -255, -1000, -1000,  -238,    76, -1000, -1000, -1000, -1000,
 -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000,
 -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000,  -240,  -224,
    41,    44, -1000,    15,  -219,    58,   -87, -1000, -1000, -1000,
 -1000, -1000,    16,   -28,   -28,  -250, -1000,    89, -1000,    28,
  -256, -1000,    -1, -1000,    66, -1000,    45, -1000, -1000,   -62,
    53, -1000, -1000,    74,    34, -1000,    12, -1000,   -31,    89,
 -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000,
 -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000,   -14,
 -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000,
 -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000,
 -1000, -1000,  -224,    58, -1000, -1000,    76,  -220, -1000, -1000,
   -71,    53, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000,
 -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000,
 -1000, -1000, -1000, -1000,   -50,  -250, -1000,    49, -1000, -1000,
 -1000, -1000, -1000,    45,   -27, -1000, -1000, -1000,   -62, -1000,
  -256, -1000,  -224, -1000,  -222, -1000, -1000, -1000,    40, -1000,
    72, -1000,    28,  -256,    42,   -40,  -224,  -250, -1000, -1000,
    61, -1000 };
static const yytabelem yypgo[]={

     0,   180,   179,   178,   299,   309,   177,    71,   174,   173,
    67,   134,   172,   171,   168,   166,   165,   164,   163,   162,
   161,   158,   156,    48,   155,   142,    73,   154,   126,   152,
    44,   149,   123,   143,    65,    80,   141,   128,    46,   127,
    49,   104,   125,    50,    86 };
static const yytabelem yyr1[]={

     0,     1,     2,     2,     4,     4,     4,     4,     4,     4,
     4,     4,     4,     4,     4,     4,     4,     4,     4,     4,
     4,     4,     4,     4,     4,     5,     5,     6,     6,     7,
     8,     8,     9,     9,    10,    10,    10,    10,    10,    10,
    10,    10,    10,    10,    10,    10,    10,    10,    10,    10,
    10,    10,     3,     3,    11,    11,    11,    11,    11,    11,
    12,    19,    19,    18,    18,    13,    13,    13,    20,    21,
    22,    23,    23,    24,    24,    14,    15,    16,    16,    26,
    26,    29,    29,    30,    30,    30,    30,    27,    27,    31,
    31,    32,    32,    33,    33,    28,    36,    36,    37,    37,
    38,    38,    38,    38,    38,    38,    38,    38,    38,    38,
    38,    38,    38,    38,    38,    38,    38,    38,    38,    38,
    38,    17,    17,    39,    39,    34,    34,    40,    40,    40,
    40,    40,    40,    40,    40,    40,    40,    40,    40,    40,
    40,    40,    40,    40,    40,    40,    40,    40,    25,    25,
    42,    42,    42,    42,    41,    41,    44,    44,    43,    43,
    35,    35 };
static const yytabelem yyr2[]={

     0,     5,     2,     1,     3,     3,     3,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     5,     5,     2,     7,
     2,     1,     5,     2,     3,     3,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     5,     2,     2,     2,     2,     2,     2,     2,
     7,     5,     2,     2,     1,     2,     2,     2,     7,     9,
    13,     5,     2,     7,     3,     7,     9,    15,    13,     2,
     1,     7,     2,     5,     2,     2,    17,     2,     1,     5,
     2,     7,    11,     9,     3,     7,     2,     1,     5,     2,
     3,     3,     3,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     7,    11,     9,     3,     5,     2,     3,     3,     3,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     7,     5,
     5,     7,     5,     3,     2,     1,     5,     2,     5,     2,
     5,     2 };
static const yytabelem yychk[]={

 -1000,    -1,    -2,   259,    -3,   -11,   -12,   -13,   -14,   -15,
   -16,   -17,   269,   -20,   -21,   -22,   268,   264,   -25,   267,
   -41,   -44,   266,   -11,   -18,   -19,    -4,   257,   258,   261,
   262,   263,   264,   265,   266,   267,   268,   269,   123,   125,
    40,    41,    91,    93,    42,    59,    44,    61,   261,   -25,
   257,   -39,    -5,   257,   258,   -42,   265,   257,   266,   260,
    -4,   260,    -5,   257,    -6,    40,    -7,    91,    59,    61,
    44,   260,   -23,    -4,   -24,   257,   -43,    42,   -28,   257,
   123,    59,    -7,   -26,   -29,   -30,   -25,   262,    -8,    -9,
   -10,    -5,   261,   262,   263,   264,   265,   266,   267,   268,
   269,   123,   125,    40,    41,    42,    59,    44,    61,   -34,
   -40,   257,   258,   261,   262,   263,   264,   265,   266,   267,
   268,   269,   123,   125,   260,    41,    40,    91,    93,    42,
    44,    61,   -35,   -41,   260,    -4,    41,    44,    42,   -28,
   -36,   -37,   -38,   257,   258,   261,   262,   263,   264,   265,
   266,   260,   267,   268,   269,    40,    41,    91,    93,    42,
    59,    44,    61,   -28,    41,    44,    -5,    40,    93,   -10,
    59,   -40,    -5,   -43,   -23,   257,   125,   -38,   -27,    59,
   -31,   -32,   -25,   -30,    42,   260,   -28,   -32,   -33,    -5,
   257,    59,    61,    44,    41,   -34,   -35,    40,    59,    -5,
   -26,    41 };
static const yytabelem yydef[]={

     3,    -2,   155,     2,    -2,    53,    54,    55,    56,    57,
    58,    59,    64,    65,    66,    67,     0,   155,     0,     0,
     0,   154,   157,    52,     0,    63,    62,     4,     5,     6,
     7,     8,     9,    10,    11,    12,    13,    14,    15,    16,
    17,    18,    19,    20,    21,    22,    23,    24,     0,     0,
    25,     0,   124,     0,     0,   149,     0,   153,   156,    60,
    61,    75,     0,    25,    26,    -2,    28,    31,   121,     0,
   155,    68,     0,    72,     0,    74,   148,   159,   150,   152,
    97,    76,    27,     0,    79,    82,    84,    85,     0,    30,
    33,    34,    35,    36,    37,    38,    39,    40,    41,    42,
    43,    44,    45,    46,    47,    48,    49,    50,    51,     0,
   126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
   136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
   146,   147,     0,   161,    69,    71,     0,     0,   158,   151,
     0,    96,    99,   100,   101,   102,   103,   104,   105,   106,
   107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
   117,   118,   119,   120,    -2,   155,    83,     0,    29,    32,
   122,   125,   123,   160,     0,    73,    95,    98,     0,    78,
    -2,    90,     0,    81,     0,    70,    77,    89,     0,    94,
     0,    91,     0,   155,     0,     0,     0,    -2,    92,    93,
     0,    86 };
typedef struct { char *t_name; int t_val; } yytoktype;
#ifndef YYDEBUG
#	define YYDEBUG	0	/* don't allow debugging */
#endif

#if YYDEBUG

yytoktype yytoks[] =
{
	"l_IDENTIFIER",	257,
	"l_FUNC",	258,
	"l_SPACE",	259,
	"l_NEWLINE",	260,
	"l_STRING",	261,
	"l_TPOINT",	262,
	"l_OTHER",	263,
	"l_TYPEDEF",	264,
	"l_STRUNI",	265,
	"l_TYPEIDF",	266,
	"l_DEFINE",	267,
	"l_INCLUDE",	268,
	"l_PRECOMPILER",	269,
	"-unknown-",	-1	/* ends search */
};

char * yyreds[] =
{
	"-no such reduction-",
      "program : space elements",
      "space : l_SPACE",
      "space : /* empty */",
      "nnlel : l_IDENTIFIER",
      "nnlel : l_FUNC",
      "nnlel : l_STRING",
      "nnlel : l_TPOINT",
      "nnlel : l_OTHER",
      "nnlel : l_TYPEDEF",
      "nnlel : l_STRUNI",
      "nnlel : l_TYPEIDF",
      "nnlel : l_DEFINE",
      "nnlel : l_INCLUDE",
      "nnlel : l_PRECOMPILER",
      "nnlel : '{'",
      "nnlel : '}'",
      "nnlel : '('",
      "nnlel : ')'",
      "nnlel : '['",
      "nnlel : ']'",
      "nnlel : '*'",
      "nnlel : ';'",
      "nnlel : ','",
      "nnlel : '='",
      "idfplus : l_IDENTIFIER",
      "idfplus : l_IDENTIFIER arrays",
      "arrays : arrays array",
      "arrays : array",
      "array : '[' arrayels ']'",
      "arrayels : arrayelsne",
      "arrayels : /* empty */",
      "arrayelsne : arrayelsne arrayel",
      "arrayelsne : arrayel",
      "arrayel : idfplus",
      "arrayel : l_STRING",
      "arrayel : l_TPOINT",
      "arrayel : l_OTHER",
      "arrayel : l_TYPEDEF",
      "arrayel : l_STRUNI",
      "arrayel : l_TYPEIDF",
      "arrayel : l_DEFINE",
      "arrayel : l_INCLUDE",
      "arrayel : l_PRECOMPILER",
      "arrayel : '{'",
      "arrayel : '}'",
      "arrayel : '('",
      "arrayel : ')'",
      "arrayel : '*'",
      "arrayel : ';'",
      "arrayel : ','",
      "arrayel : '='",
      "elements : elements element",
      "elements : element",
      "element : precompiler",
      "element : define",
      "element : include",
      "element : typedef",
      "element : function",
      "element : variable",
      "precompiler : l_PRECOMPILER pcelses l_NEWLINE",
      "pcelse : pcelse nnlel",
      "pcelse : nnlel",
      "pcelses : pcelse",
      "pcelses : /* empty */",
      "define : define_name",
      "define : define_const",
      "define : define_func",
      "define_name : l_DEFINE l_IDENTIFIER l_NEWLINE",
      "define_const : l_DEFINE l_IDENTIFIER dfnelse l_NEWLINE",
      "define_func : l_DEFINE l_FUNC dfnparams ')' dfnelse l_NEWLINE",
      "dfnelse : dfnelse nnlel",
      "dfnelse : nnlel",
      "dfnparams : dfnparams ',' l_IDENTIFIER",
      "dfnparams : l_IDENTIFIER",
      "include : l_INCLUDE l_STRING l_NEWLINE",
      "typedef : l_TYPEDEF type idfplus ';'",
      "function : type l_IDENTIFIER '(' fnparams ')' fnvars block",
      "function : type l_IDENTIFIER '(' fnparams ')' ';'",
      "fnparams : fnparams1",
      "fnparams : /* empty */",
      "fnparams1 : fnparams1 ',' fnparam",
      "fnparams1 : fnparam",
      "fnparam : type idfplus",
      "fnparam : type",
      "fnparam : l_TPOINT",
      "fnparam : type '(' '*' l_IDENTIFIER ')' '(' fnparams ')'",
      "fnvars : fnvarsne",
      "fnvars : /* empty */",
      "fnvarsne : fnvarsne fnvar",
      "fnvarsne : fnvar",
      "fnvar : type fnvaridfs ';'",
      "fnvar : type fnvaridfs '=' varelse ';'",
      "fnvaridfs : fnvaridfs ',' typevar idfplus",
      "fnvaridfs : idfplus",
      "block : '{' inblock '}'",
      "inblock : inblock1",
      "inblock : /* empty */",
      "inblock1 : inblock1 inblockel",
      "inblock1 : inblockel",
      "inblockel : l_IDENTIFIER",
      "inblockel : l_FUNC",
      "inblockel : l_STRING",
      "inblockel : l_TPOINT",
      "inblockel : l_OTHER",
      "inblockel : l_TYPEDEF",
      "inblockel : l_STRUNI",
      "inblockel : l_TYPEIDF",
      "inblockel : l_NEWLINE",
      "inblockel : l_DEFINE",
      "inblockel : l_INCLUDE",
      "inblockel : l_PRECOMPILER",
      "inblockel : '('",
      "inblockel : ')'",
      "inblockel : '['",
      "inblockel : ']'",
      "inblockel : '*'",
      "inblockel : ';'",
      "inblockel : ','",
      "inblockel : '='",
      "inblockel : block",
      "variable : type varidfs ';'",
      "variable : type varidfs '=' varelse ';'",
      "varidfs : varidfs ',' typevar idfplus",
      "varidfs : idfplus",
      "varelse : varelse varelseel",
      "varelse : varelseel",
      "varelseel : l_IDENTIFIER",
      "varelseel : l_FUNC",
      "varelseel : l_STRING",
      "varelseel : l_TPOINT",
      "varelseel : l_OTHER",
      "varelseel : l_TYPEDEF",
      "varelseel : l_STRUNI",
      "varelseel : l_TYPEIDF",
      "varelseel : l_DEFINE",
      "varelseel : l_INCLUDE",
      "varelseel : l_PRECOMPILER",
      "varelseel : '{'",
      "varelseel : '}'",
      "varelseel : l_NEWLINE",
      "varelseel : ')'",
      "varelseel : '('",
      "varelseel : '['",
      "varelseel : ']'",
      "varelseel : '*'",
      "varelseel : ','",
      "varelseel : '='",
      "type : typeidfs typenp stars",
      "type : typeidfs typenp",
      "typenp : l_STRUNI block",
      "typenp : l_STRUNI l_IDENTIFIER block",
      "typenp : l_STRUNI l_IDENTIFIER",
      "typenp : l_IDENTIFIER",
      "typeidfs : typeidfs1",
      "typeidfs : /* empty */",
      "typeidfs1 : typeidfs1 l_TYPEIDF",
      "typeidfs1 : l_TYPEIDF",
      "stars : stars '*'",
      "stars : '*'",
      "typevar : typeidfs stars",
      "typevar : typeidfs",
};
#endif /* YYDEBUG */
/*
 * (c) Copyright 1990, OPEN SOFTWARE FOUNDATION, INC.
 * ALL RIGHTS RESERVED
 */
/*
 * OSF/1 Release 1.0
 */
/* @(#)yaccpar	1.3  com/cmd/lang/yacc,3.1, 9/7/89 18:46:37 */
/*
** Skeleton parser driver for yacc output
*/

/*
** yacc user known macros and defines
*/
#ifdef YYSPLIT
#   define YYERROR	return(-2)
#else
#   define YYERROR	goto yyerrlab
#endif

#define YYACCEPT	return(0)
#define YYABORT		return(1)
#define YYBACKUP( newtoken, newvalue )\
{\
	if ( yychar >= 0 || ( yyr2[ yytmp ] >> 1 ) != 1 )\
	{\
		yyerror( "syntax error - cannot backup" );\
		goto yyerrlab;\
	}\
	yychar = newtoken;\
	yystate = *yyps;\
	yylval = newvalue;\
	goto yynewstate;\
}
#define YYRECOVERING()	(!!yyerrflag)
#ifndef YYDEBUG
#	define YYDEBUG	1	/* make debugging available */
#endif

/*
** user known globals
*/
int yydebug;			/* set to 1 to get debugging */

/*
** driver internal defines
*/
#define YYFLAG		(-1000)

#ifdef YYSPLIT
#   define YYSCODE { \
			extern int (*yyf[])(); \
			register int yyret; \
			if (yyf[yytmp]) \
			    if ((yyret=(*yyf[yytmp])()) == -2) \
				    goto yyerrlab; \
				else if (yyret>=0) return(yyret); \
		   }
#endif

/*
** local variables used by the parser
 * these should be static in order to support
 * multiple parsers in a single executable program. POSIX 1003.2-1993
 */
static YYSTYPE yyv[ YYMAXDEPTH ];	/* value stack */
static int yys[ YYMAXDEPTH ];		/* state stack */

static YYSTYPE *yypv;			/* top of value stack */
static YYSTYPE *yypvt;			/* top of value stack for $vars */
static int *yyps;			/* top of state stack */

static int yystate;			/* current state */
static int yytmp;			/* extra var (lasts between blocks) */

/*
** global variables used by the parser - renamed as a result of -p
*/
int yynerrs;			/* number of errors */
int yyerrflag;			/* error recovery flag */
int yychar;			/* current input token number */

/*
** yyparse - return 0 if worked, 1 if syntax error not recovered from
*/
int
yyparse()
{
	/*
	** Initialize externals - yyparse may be called more than once
	*/
	yypv = &yyv[-1];
	yyps = &yys[-1];
	yystate = 0;
	yytmp = 0;
	yynerrs = 0;
	yyerrflag = 0;
	yychar = -1;

	goto yystack;
	{
		register YYSTYPE *yy_pv;	/* top of value stack */
		register int *yy_ps;		/* top of state stack */
		register int yy_state;		/* current state */
		register int  yy_n;		/* internal state number info */

		/*
		** get globals into registers.
		** branch to here only if YYBACKUP was called.
		*/
	yynewstate:
		yy_pv = yypv;
		yy_ps = yyps;
		yy_state = yystate;
		goto yy_newstate;

		/*
		** get globals into registers.
		** either we just started, or we just finished a reduction
		*/
	yystack:
		yy_pv = yypv;
		yy_ps = yyps;
		yy_state = yystate;

		/*
		** top of for (;;) loop while no reductions done
		*/
	yy_stack:
		/*
		** put a state and value onto the stacks
		*/
#if YYDEBUG
		/*
		** if debugging, look up token value in list of value vs.
		** name pairs.  0 and negative (-1) are special values.
		** Note: linear search is used since time is not a real
		** consideration while debugging.
		*/
		if ( yydebug )
		{
			register int yy_i;

			printf( "State %d, token ", yy_state );
			if ( yychar == 0 )
				printf( "end-of-file\n" );
			else if ( yychar < 0 )
				printf( "-none-\n" );
			else
			{
				for ( yy_i = 0; yytoks[yy_i].t_val >= 0;
					yy_i++ )
				{
					if ( yytoks[yy_i].t_val == yychar )
						break;
				}
				printf( "%s\n", yytoks[yy_i].t_name );
			}
		}
#endif /* YYDEBUG */
		if ( ++yy_ps >= &yys[ YYMAXDEPTH ] )	/* room on stack? */
		{
			yyerror( "yacc stack overflow" );
			YYABORT;
		}
		*yy_ps = yy_state;
		*++yy_pv = yyval;

		/*
		** we have a new state - find out what to do
		*/
	yy_newstate:
		if ( ( yy_n = yypact[ yy_state ] ) <= YYFLAG )
			goto yydefault;		/* simple state */
#if YYDEBUG
		/*
		** if debugging, need to mark whether new token grabbed
		*/
		yytmp = yychar < 0;
#endif
		if ( ( yychar < 0 ) && ( ( yychar = yylex() ) < 0 ) )
			yychar = 0;		/* reached EOF */
#if YYDEBUG
		if ( yydebug && yytmp )
		{
			register int yy_i;

			printf( "Received token " );
			if ( yychar == 0 )
				printf( "end-of-file\n" );
			else if ( yychar < 0 )
				printf( "-none-\n" );
			else
			{
				for ( yy_i = 0; yytoks[yy_i].t_val >= 0;
					yy_i++ )
				{
					if ( yytoks[yy_i].t_val == yychar )
						break;
				}
				printf( "%s\n", yytoks[yy_i].t_name );
			}
		}
#endif /* YYDEBUG */
		if ( ( ( yy_n += yychar ) < 0 ) || ( yy_n >= YYLAST ) )
			goto yydefault;
		if ( yychk[ yy_n = yyact[ yy_n ] ] == yychar )	/*valid shift*/
		{
			yychar = -1;
			yyval = yylval;
			yy_state = yy_n;
			if ( yyerrflag > 0 )
				yyerrflag--;
			goto yy_stack;
		}

	yydefault:
		if ( ( yy_n = yydef[ yy_state ] ) == -2 )
		{
#if YYDEBUG
			yytmp = yychar < 0;
#endif
			if ( ( yychar < 0 ) && ( ( yychar = yylex() ) < 0 ) )
				yychar = 0;		/* reached EOF */
#if YYDEBUG
			if ( yydebug && yytmp )
			{
				register int yy_i;

				printf( "Received token " );
				if ( yychar == 0 )
					printf( "end-of-file\n" );
				else if ( yychar < 0 )
					printf( "-none-\n" );
				else
				{
					for ( yy_i = 0;
						yytoks[yy_i].t_val >= 0;
						yy_i++ )
					{
						if ( yytoks[yy_i].t_val
							== yychar )
						{
							break;
						}
					}
					printf( "%s\n", yytoks[yy_i].t_name );
				}
			}
#endif /* YYDEBUG */
			/*
			** look through exception table
			*/
			{
				register const int *yyxi = yyexca;

				while ( ( *yyxi != -1 ) ||
					( yyxi[1] != yy_state ) )
				{
					yyxi += 2;
				}
				while ( ( *(yyxi += 2) >= 0 ) &&
					( *yyxi != yychar ) )
					;
				if ( ( yy_n = yyxi[1] ) < 0 )
					YYACCEPT;
			}
		}

		/*
		** check for syntax error
		*/
		if ( yy_n == 0 )	/* have an error */
		{
			/* no worry about speed here! */
			switch ( yyerrflag )
			{
			case 0:		/* new error */
				yyerror( "syntax error" );
				goto skip_init;
			yyerrlab:
				/*
				** get globals into registers.
				** we have a user generated syntax type error
				*/
				yy_pv = yypv;
				yy_ps = yyps;
				yy_state = yystate;
				yynerrs++;
			skip_init:
			case 1:
			case 2:		/* incompletely recovered error */
					/* try again... */
				yyerrflag = 3;
				/*
				** find state where "error" is a legal
				** shift action
				*/
				while ( yy_ps >= yys )
				{
					yy_n = yypact[ *yy_ps ] + YYERRCODE;
					if ( yy_n >= 0 && yy_n < YYLAST &&
						yychk[yyact[yy_n]] == YYERRCODE)					{
						/*
						** simulate shift of "error"
						*/
						yy_state = yyact[ yy_n ];
						goto yy_stack;
					}
					/*
					** current state has no shift on
					** "error", pop stack
					*/
#if YYDEBUG
#	define _POP_ "Error recovery pops state %d, uncovers state %d\n"
					if ( yydebug )
						printf( _POP_, *yy_ps,
							yy_ps[-1] );
#	undef _POP_
#endif
					yy_ps--;
					yy_pv--;
				}
				/*
				** there is no state on stack with "error" as
				** a valid shift.  give up.
				*/
				YYABORT;
			case 3:		/* no shift yet; eat a token */
#if YYDEBUG
				/*
				** if debugging, look up token in list of
				** pairs.  0 and negative shouldn't occur,
				** but since timing doesn't matter when
				** debugging, it doesn't hurt to leave the
				** tests here.
				*/
				if ( yydebug )
				{
					register int yy_i;

					printf( "Error recovery discards " );
					if ( yychar == 0 )
						printf( "token end-of-file\n" );
					else if ( yychar < 0 )
						printf( "token -none-\n" );
					else
					{
						for ( yy_i = 0;
							yytoks[yy_i].t_val >= 0;
							yy_i++ )
						{
							if ( yytoks[yy_i].t_val
								== yychar )
							{
								break;
							}
						}
						printf( "token %s\n",
							yytoks[yy_i].t_name );
					}
				}
#endif /* YYDEBUG */
				if ( yychar == 0 )	/* reached EOF. quit */
					YYABORT;
				yychar = -1;
				goto yy_newstate;
			}
		}/* end if ( yy_n == 0 ) */
		/*
		** reduction by production yy_n
		** put stack tops, etc. so things right after switch
		*/
#if YYDEBUG
		/*
		** if debugging, print the string that is the user's
		** specification of the reduction which is just about
		** to be done.
		*/
		if ( yydebug )
			printf( "Reduce by (%d) \"%s\"\n",
				yy_n, yyreds[ yy_n ] );
#endif
		yytmp = yy_n;			/* value to switch over */
		yypvt = yy_pv;			/* $vars top of value stack */
		/*
		** Look in goto table for next state
		** Sorry about using yy_state here as temporary
		** register variable, but why not, if it works...
		** If yyr2[ yy_n ] doesn't have the low order bit
		** set, then there is no action to be done for
		** this reduction.  So, no saving & unsaving of
		** registers done.  The only difference between the
		** code just after the if and the body of the if is
		** the goto yy_stack in the body.  This way the test
		** can be made before the choice of what to do is needed.
		*/
		{
			/* length of production doubled with extra bit */
			register int yy_len = yyr2[ yy_n ];

			if ( !( yy_len & 01 ) )
			{
				yy_len >>= 1;
				yyval = ( yy_pv -= yy_len )[1];	/* $$ = $1 */
				yy_state = yypgo[ yy_n = yyr1[ yy_n ] ] +
					*( yy_ps -= yy_len ) + 1;
				if ( yy_state >= YYLAST ||
					yychk[ yy_state =
					yyact[ yy_state ] ] != -yy_n )
				{
					yy_state = yyact[ yypgo[ yy_n ] ];
				}
				goto yy_stack;
			}
			yy_len >>= 1;
			yyval = ( yy_pv -= yy_len )[1];	/* $$ = $1 */
			yy_state = yypgo[ yy_n = yyr1[ yy_n ] ] +
				*( yy_ps -= yy_len ) + 1;
			if ( yy_state >= YYLAST ||
				yychk[ yy_state = yyact[ yy_state ] ] != -yy_n )
			{
				yy_state = yyact[ yypgo[ yy_n ] ];
			}
		}
					/* save until reenter driver code */
		yystate = yy_state;
		yyps = yy_ps;
		yypv = yy_pv;
	}
	/*
	** code supplied by user is placed in this switch
	*/

		switch(yytmp){

case 1:
# line 51 "chtml.y"
{ /* concatena le strighe*/
			 strcatmem(finalprog,yypvt[-1].str,yypvt[-0].str);
			 /* non ritorna niente */
			} /*NOTREACHED*/ break;
case 3:
# line 60 "chtml.y"
{ /* empty */
			 atbegin=0;
			 stremptymem(yyval.str);
			} /*NOTREACHED*/ break;
case 4:
# line 68 "chtml.y"
{ /* concatena le strighe */
			  char *elurl;
			  if ((elurl=hash_find(mainSTable,yypvt[-0].idfstr.idf))!=NULL)
			    { /* link */
			      yyval.str = (char *) malloc(strlen(yypvt[-0].idfstr.idf)+strlen(yypvt[-0].idfstr.succ)+
						       strlen(elurl)+18);
			      sprintf(yyval.str,"<A HREF=\"%s\">%s</A>%s",elurl,yypvt[-0].idfstr.idf,yypvt[-0].idfstr.succ);
			      free(yypvt[-0].idfstr.idf);
			      free(yypvt[-0].idfstr.succ);
			    }
			  else
			    {
			      strcatmem(yyval.str,yypvt[-0].idfstr.idf,yypvt[-0].idfstr.succ);
			    }
			} /*NOTREACHED*/ break;
case 5:
# line 84 "chtml.y"
{ /* concatena le strighe */
			  char *elurl;
			  if ((elurl=hash_find(mainSTable,yypvt[-0].idfstr.idf))!=NULL)
			    { /* link */
			      yyval.str = (char *) malloc(strlen(yypvt[-0].idfstr.idf)+strlen(yypvt[-0].idfstr.succ)+
						       strlen(elurl)+18);
			      sprintf(yyval.str,"<A HREF=\"%s\">%s</A>%s",elurl,yypvt[-0].idfstr.idf,yypvt[-0].idfstr.succ);
			      free(yypvt[-0].idfstr.idf);
			      free(yypvt[-0].idfstr.succ);
			    }
			  else
			    {
			      strcatmem(yyval.str,yypvt[-0].idfstr.idf,yypvt[-0].idfstr.succ);
			    }
			} /*NOTREACHED*/ break;
case 6:
# line 100 "chtml.y"
{
			  strcat3mem(yyval.str,yypvt[-0].strrec.pred,yypvt[-0].strrec.mid,yypvt[-0].strrec.succ);
			  free(yypvt[-0].strrec.name);
			} /*NOTREACHED*/ break;
case 26:
# line 127 "chtml.y"
{ /* concatena le strighe */
			 strcatmem(yyval.idfstr.succ,yypvt[-1].idfstr.succ,yypvt[-0].str);
			 yyval.idfstr.idf = yypvt[-1].idfstr.idf;
			} /*NOTREACHED*/ break;
case 27:
# line 134 "chtml.y"
{ /* concatena le strighe */
			 strcatmem(yyval.str,yypvt[-1].str,yypvt[-0].str);
			} /*NOTREACHED*/ break;
case 29:
# line 141 "chtml.y"
{ /* concatena le strighe */
			 strcat3mem(yyval.str,yypvt[-2].str,yypvt[-1].str,yypvt[-0].str);
			} /*NOTREACHED*/ break;
case 31:
# line 148 "chtml.y"
{ /* empty */
			 stremptymem(yyval.str);
			} /*NOTREACHED*/ break;
case 32:
# line 154 "chtml.y"
{ /* concatena le strighe */
			 strcatmem(yyval.str,yypvt[-1].str,yypvt[-0].str);
			} /*NOTREACHED*/ break;
case 34:
# line 162 "chtml.y"
{ /* concatena le strighe */
			  char *elurl;
			  if ((elurl=hash_find(mainSTable,yypvt[-0].idfstr.idf))!=NULL)
			    { /* link */
			      yyval.str = (char *) malloc(strlen(yypvt[-0].idfstr.idf)+strlen(yypvt[-0].idfstr.succ)+
						       strlen(elurl)+18);
			      sprintf(yyval.str,"<A HREF=\"%s\">%s</A>%s",elurl,yypvt[-0].idfstr.idf,yypvt[-0].idfstr.succ);
			      free(yypvt[-0].idfstr.idf);
			      free(yypvt[-0].idfstr.succ);
			    }
			  else
			    {
			      strcatmem(yyval.str,yypvt[-0].idfstr.idf,yypvt[-0].idfstr.succ);
			    }
			} /*NOTREACHED*/ break;
case 35:
# line 178 "chtml.y"
{
			  strcat3mem(yyval.str,yypvt[-0].strrec.pred,yypvt[-0].strrec.mid,yypvt[-0].strrec.succ);
			  free(yypvt[-0].strrec.name);
			} /*NOTREACHED*/ break;
case 52:
# line 203 "chtml.y"
{ /* concatena le strighe */
			 strcatmem(yyval.str,yypvt[-1].str,yypvt[-0].str);
			} /*NOTREACHED*/ break;
case 60:
# line 219 "chtml.y"
{ /* concatena le strighe +TAG*/
			 yyval.str = (char *) malloc(strlen(yypvt[-2].str)+strlen(yypvt[-1].str)+
						strlen(yypvt[-0].str)+32);
			 strcpy(yyval.str,"<FONT COLOR=\"#A06000\">");
			 strcat(yyval.str,yypvt[-2].str);
			 strcat(yyval.str,yypvt[-1].str);
			 strcat(yyval.str,"</FONT>");
			 strcat(yyval.str,yypvt[-0].str);

			 free(yypvt[-2].str);
			 free(yypvt[-1].str);
			 free(yypvt[-0].str);
			} /*NOTREACHED*/ break;
case 61:
# line 235 "chtml.y"
{ /* concatena le due strighe */
			 strcatmem(yyval.str,yypvt[-1].str,yypvt[-0].str);
			} /*NOTREACHED*/ break;
case 64:
# line 242 "chtml.y"
{ /* empty */
			 stremptymem(yyval.str);
			} /*NOTREACHED*/ break;
case 68:
# line 255 "chtml.y"
{ /* concatena le strighe +TAG*/
			 yyval.str = (char *) malloc(strlen(yypvt[-2].str)+strlen(yypvt[-1].idfstr.idf)+
						strlen(yypvt[-1].idfstr.succ)+strlen(yypvt[-0].str)+32);
			 strcpy(yyval.str,"<FONT COLOR=\"#A06000\">");
			 strcat(yyval.str,yypvt[-2].str);
			 strcat(yyval.str,yypvt[-1].idfstr.idf);
			 strcat(yyval.str,yypvt[-1].idfstr.succ);
			 strcat(yyval.str,"</FONT>");
			 strcat(yyval.str,yypvt[-0].str);

			 free(yypvt[-2].str);
			 free(yypvt[-1].idfstr.idf);
			 free(yypvt[-1].idfstr.succ);
			 free(yypvt[-0].str);
			} /*NOTREACHED*/ break;
case 69:
# line 274 "chtml.y"
{ /* concatena le strighe +TAG*/
			 hash_add(mainSTable,yypvt[-2].idfstr.idf,NULL);
			 hash_add(thisSTable,yypvt[-2].idfstr.idf,NULL);

			 yyval.str = (char *) malloc(strlen(yypvt[-3].str)+
						2*strlen(yypvt[-2].idfstr.idf)+strlen(yypvt[-2].idfstr.succ)+
						strlen(yypvt[-1].str)+strlen(yypvt[-0].str)+20);
			 strcpy(yyval.str,"<A NAME=\"");
			 strcat(yyval.str,yypvt[-2].idfstr.idf);
			 strcat(yyval.str,"\">");
			 strcat(yyval.str,yypvt[-3].str);
			 strcat(yyval.str,"<B>");
			 strcat(yyval.str,yypvt[-2].idfstr.idf);
			 strcat(yyval.str,"</B>");
			 strcat(yyval.str,yypvt[-2].idfstr.succ);
			 strcat(yyval.str,yypvt[-1].str);
			 strcat(yyval.str,yypvt[-0].str);
			 free(yypvt[-3].str);
			 free(yypvt[-2].idfstr.idf);
			 free(yypvt[-2].idfstr.succ);
			 free(yypvt[-1].str);
			 free(yypvt[-0].str);
			} /*NOTREACHED*/ break;
case 70:
# line 302 "chtml.y"
{ /* concatena le strighe +TAG*/
			 hash_add(mainSTable,yypvt[-4].idfstr.idf,NULL);
			 hash_add(thisSTable,yypvt[-4].idfstr.idf,NULL);

			 if (macrourl!=NULL)
			   {
			     yyval.str = (char *) malloc(strlen(yypvt[-5].str)+strlen(yypvt[-4].idfstr.succ)+
						      3*strlen(yypvt[-4].idfstr.idf)+strlen(macrourl)+
						      strlen(yypvt[-3].str)+strlen(yypvt[-2].str)+
						      strlen(yypvt[-1].str)+strlen(yypvt[-0].str)+40);
			     
			     sprintf(yyval.str,"<A NAME=\"%s\">%s<B><A HREF=\"%s#%s\">%s</A></B>%s%s%s%s%s",
				     yypvt[-4].idfstr.idf,yypvt[-5].str,macrourl,yypvt[-4].idfstr.idf,yypvt[-4].idfstr.idf,
				     yypvt[-4].idfstr.succ,yypvt[-3].str,yypvt[-2].str,yypvt[-1].str,yypvt[-0].str);
			   }
			 else
			   {
			     yyval.str = (char *) malloc(strlen(yypvt[-5].str)+strlen(yypvt[-4].idfstr.succ)+
						      2*strlen(yypvt[-4].idfstr.idf)+
						      strlen(yypvt[-3].str)+strlen(yypvt[-2].str)+
						      strlen(yypvt[-1].str)+strlen(yypvt[-0].str)+20);
			     
			     sprintf(yyval.str,"<A NAME=\"%s\">%s<B>%s</B>%s%s%s%s%s",
				     yypvt[-4].idfstr.idf,yypvt[-5].str,yypvt[-4].idfstr.idf,
				     yypvt[-4].idfstr.succ,yypvt[-3].str,yypvt[-2].str,yypvt[-1].str,yypvt[-0].str);
			   }

			 free(yypvt[-5].str);
			 free(yypvt[-4].idfstr.idf);
			 free(yypvt[-4].idfstr.succ);
			 free(yypvt[-3].str);
			 free(yypvt[-2].str);
			 free(yypvt[-1].str);
			 free(yypvt[-0].str);
			} /*NOTREACHED*/ break;
case 71:
# line 341 "chtml.y"
{ /* concatena le due strighe */
			 strcatmem(yyval.str,yypvt[-1].str,yypvt[-0].str);
			} /*NOTREACHED*/ break;
case 73:
# line 348 "chtml.y"
{ /* concatena le strighe */
			 strcat4mem(yyval.str,yypvt[-2].str,yypvt[-1].str,yypvt[-0].idfstr.idf,yypvt[-0].idfstr.succ);
			} /*NOTREACHED*/ break;
case 74:
# line 352 "chtml.y"
{ /* concatena le strighe */
			 strcatmem(yyval.str,yypvt[-0].idfstr.idf,yypvt[-0].idfstr.succ);
			} /*NOTREACHED*/ break;
case 75:
# line 360 "chtml.y"
{ /* concatena le strighe +TAG*/
			 char *hashname;

			 if ((hashname=find_include(yypvt[-1].strrec.name))!=NULL)
			   {
			     char *htmlname;

			     htmlname = hash_load(mainSTable,hashname);

			     yyval.str = (char *) malloc(strlen(yypvt[-2].str)+
						      strlen(yypvt[-1].strrec.pred)+strlen(yypvt[-1].strrec.mid)+strlen(yypvt[-1].strrec.succ)+
						      strlen(yypvt[-0].str)+strlen(htmlname)+64);
			     sprintf(yyval.str,"<FONT COLOR=\"#206020\">%s%s<A HREF=\"%s\">%s</A>%s</FONT>%s",
				     yypvt[-2].str,yypvt[-1].strrec.pred,htmlname,yypvt[-1].strrec.mid,yypvt[-1].strrec.succ,yypvt[-0].str);

			     free(htmlname);
			     free(hashname);
			   }
			 else
			   {
			     yyval.str = (char *) malloc(strlen(yypvt[-2].str)+
						      strlen(yypvt[-1].strrec.pred)+strlen(yypvt[-1].strrec.mid)+strlen(yypvt[-1].strrec.succ)+
						      strlen(yypvt[-0].str)+32);
			     strcpy(yyval.str,"<FONT COLOR=\"#206020\">");
			     strcat(yyval.str,yypvt[-2].str);
			     strcat(yyval.str,yypvt[-1].strrec.pred);
			     strcat(yyval.str,yypvt[-1].strrec.mid);
			     strcat(yyval.str,yypvt[-1].strrec.succ);
			     strcat(yyval.str,"</FONT>");
			     strcat(yyval.str,yypvt[-0].str);
			   }


			 free(yypvt[-2].str);
			 free(yypvt[-1].strrec.pred);
			 free(yypvt[-1].strrec.mid);
			 free(yypvt[-1].strrec.succ);
			 free(yypvt[-1].strrec.name);
			 free(yypvt[-0].str);
			} /*NOTREACHED*/ break;
case 76:
# line 405 "chtml.y"
{ /* concatena le strighe +TAG*/
			 hash_add(mainSTable,yypvt[-1].idfstr.idf,NULL);
			 hash_add(thisSTable,yypvt[-1].idfstr.idf,NULL);

			 yyval.str = (char *) malloc(strlen(yypvt[-3].str)+strlen(yypvt[-2].str)+
						2*strlen(yypvt[-1].idfstr.idf)+strlen(yypvt[-1].idfstr.succ)+
						strlen(yypvt[-0].str)+20);
			 strcpy(yyval.str,"<A NAME=\"");
			 strcat(yyval.str,yypvt[-1].idfstr.idf);
			 strcat(yyval.str,"\">");
			 strcat(yyval.str,yypvt[-3].str);
			 strcat(yyval.str,yypvt[-2].str);
			 strcat(yyval.str,"<B>");
			 strcat(yyval.str,yypvt[-1].idfstr.idf);
			 strcat(yyval.str,"</B>");
			 strcat(yyval.str,yypvt[-1].idfstr.succ);
			 strcat(yyval.str,yypvt[-0].str);

			 free(yypvt[-3].str);
			 free(yypvt[-2].str);
			 free(yypvt[-1].idfstr.idf);
			 free(yypvt[-1].idfstr.succ);
			 free(yypvt[-0].str);
			} /*NOTREACHED*/ break;
case 77:
# line 434 "chtml.y"
{ /* concatena le strighe +TAG*/
			  /* the variables are necessary to support old type functions */
			 char *elurl;

			 if ((elurl=hash_find(mainSTable,yypvt[-5].idfstr.idf))!=NULL)
			   { /* link */
			     yyval.str = (char *) malloc(strlen(yypvt[-6].str)+2*strlen(yypvt[-5].idfstr.idf)+strlen(yypvt[-5].idfstr.succ)+
						      strlen(yypvt[-4].str)+strlen(yypvt[-3].str)+
						      strlen(yypvt[-2].str)+strlen(yypvt[-1].str)+strlen(yypvt[-0].str)+
						      strlen(elurl)+40);
			     sprintf(yyval.str,"<A NAME=\"%s\">%s<B><A HREF=\"%s\">%s</A></B>%s%s%s%s%s%s",
				     yypvt[-5].idfstr.idf,yypvt[-6].str,elurl,yypvt[-5].idfstr.idf,yypvt[-5].idfstr.succ,
				     yypvt[-4].str,yypvt[-3].str,yypvt[-2].str,yypvt[-1].str,yypvt[-0].str);

			     /* delete previous definition */
			     hash_del(mainSTable,yypvt[-5].idfstr.idf);
			     hash_del(thisSTable,yypvt[-5].idfstr.idf);
			   }
			  else
			    {
			      if (funcurl==NULL)
				{
				  yyval.str = (char *) malloc(strlen(yypvt[-6].str)+2*strlen(yypvt[-5].idfstr.idf)+strlen(yypvt[-5].idfstr.succ)+
							   strlen(yypvt[-4].str)+strlen(yypvt[-3].str)+
							   strlen(yypvt[-2].str)+strlen(yypvt[-1].str)+strlen(yypvt[-0].str)+20);
				  sprintf(yyval.str,"<A NAME=\"%s\">%s<B>%s</B>%s%s%s%s%s%s",
					  yypvt[-5].idfstr.idf,yypvt[-6].str,yypvt[-5].idfstr.idf,yypvt[-5].idfstr.succ,
					  yypvt[-4].str,yypvt[-3].str,yypvt[-2].str,yypvt[-1].str,yypvt[-0].str);
				}
			      else
				{
				  yyval.str = (char *) malloc(strlen(yypvt[-6].str)+3*strlen(yypvt[-5].idfstr.idf)+strlen(yypvt[-5].idfstr.succ)+
							   strlen(yypvt[-4].str)+strlen(yypvt[-3].str)+strlen(funcurl)+
							   strlen(yypvt[-2].str)+strlen(yypvt[-1].str)+strlen(yypvt[-0].str)+40);
				  sprintf(yyval.str,"<A NAME=\"%s\">%s<B><A HREF=\"%s#%s\">%s</A></B>%s%s%s%s%s%s",
					  yypvt[-5].idfstr.idf,yypvt[-6].str,funcurl,yypvt[-5].idfstr.idf,yypvt[-5].idfstr.idf,yypvt[-5].idfstr.succ,
					  yypvt[-4].str,yypvt[-3].str,yypvt[-2].str,yypvt[-1].str,yypvt[-0].str);
				}
			    }
			 
			 hash_add(mainSTable,yypvt[-5].idfstr.idf,NULL);
			 hash_add(thisSTable,yypvt[-5].idfstr.idf,NULL);

			 free(yypvt[-6].str);
			 free(yypvt[-5].idfstr.idf);
			 free(yypvt[-5].idfstr.succ);
			 free(yypvt[-4].str);
			 free(yypvt[-3].str);
			 free(yypvt[-2].str);
			 free(yypvt[-1].str);
			 free(yypvt[-0].str);
			} /*NOTREACHED*/ break;
case 78:
# line 487 "chtml.y"
{ /* concatena le strighe +TAG*/
			 hash_add(mainSTable,yypvt[-4].idfstr.idf,NULL);
			 hash_add(thisSTable,yypvt[-4].idfstr.idf,NULL);

			 if (protourl!=NULL)
			   { /* link */
			     yyval.str = (char *) malloc(strlen(yypvt[-5].str)+3*strlen(yypvt[-4].idfstr.idf)+strlen(yypvt[-4].idfstr.succ)+
						      strlen(yypvt[-3].str)+strlen(yypvt[-2].str)+
						      strlen(yypvt[-1].str)+strlen(yypvt[-0].str)+
						      strlen(protourl)+40);
			     sprintf(yyval.str,"<A NAME=\"%s\">%s<B><A HREF=\"%s#%s\">%s</A></B>%s%s%s%s%s",
				     yypvt[-4].idfstr.idf,yypvt[-5].str,protourl,yypvt[-4].idfstr.idf,yypvt[-4].idfstr.idf,yypvt[-4].idfstr.succ,yypvt[-3].str,yypvt[-2].str,yypvt[-1].str,yypvt[-0].str);
			   }
			 else
			   {
			     yyval.str = (char *) malloc(strlen(yypvt[-5].str)+2*strlen(yypvt[-4].idfstr.idf)+strlen(yypvt[-4].idfstr.succ)+
						      strlen(yypvt[-3].str)+strlen(yypvt[-2].str)+
						      strlen(yypvt[-1].str)+strlen(yypvt[-0].str)+20);
			     sprintf(yyval.str,"<A NAME=\"%s\">%s<B>%s</B>%s%s%s%s%s",
				     yypvt[-4].idfstr.idf,yypvt[-5].str,yypvt[-4].idfstr.idf,yypvt[-4].idfstr.succ,yypvt[-3].str,yypvt[-2].str,yypvt[-1].str,yypvt[-0].str);
			   }

			 free(yypvt[-5].str);
			 free(yypvt[-4].idfstr.idf);
			 free(yypvt[-4].idfstr.succ);
			 free(yypvt[-3].str);
			 free(yypvt[-2].str);
			 free(yypvt[-1].str);
			 free(yypvt[-0].str);
			} /*NOTREACHED*/ break;
case 80:
# line 520 "chtml.y"
{ /* empty */
			 stremptymem(yyval.str);
			} /*NOTREACHED*/ break;
case 81:
# line 526 "chtml.y"
{ /* concatena le strighe */
			 strcat3mem(yyval.str,yypvt[-2].str,yypvt[-1].str,yypvt[-0].str);
			} /*NOTREACHED*/ break;
case 83:
# line 533 "chtml.y"
{ /* concatena le strighe */
			 strcat3mem(yyval.str,yypvt[-1].str,yypvt[-0].idfstr.idf,yypvt[-0].idfstr.succ);
			} /*NOTREACHED*/ break;
case 86:
# line 539 "chtml.y"
{ /* concatena le strighe */
			 strcat9mem(yyval.str,yypvt[-7].str,yypvt[-6].str,yypvt[-5].str,
				yypvt[-4].idfstr.idf,yypvt[-4].idfstr.succ,
				yypvt[-3].str,yypvt[-2].str,yypvt[-1].str,yypvt[-0].str);
			} /*NOTREACHED*/ break;
case 88:
# line 547 "chtml.y"
{ /* empty */
			 stremptymem(yyval.str);
			} /*NOTREACHED*/ break;
case 89:
# line 553 "chtml.y"
{ /* concatena le due strighe */
			 strcatmem(yyval.str,yypvt[-1].str,yypvt[-0].str);
			} /*NOTREACHED*/ break;
case 91:
# line 560 "chtml.y"
{ /* concatena le strighe*/
			 strcat3mem(yyval.str,yypvt[-2].str,yypvt[-1].str,yypvt[-0].str);
			} /*NOTREACHED*/ break;
case 92:
# line 564 "chtml.y"
{ /* concatena le strighe*/
			 strcat5mem(yyval.str,yypvt[-4].str,yypvt[-3].str,yypvt[-2].str,yypvt[-1].str,yypvt[-0].str);
			} /*NOTREACHED*/ break;
case 93:
# line 570 "chtml.y"
{ /* concatena le strighe */
			 strcat5mem(yyval.str,yypvt[-3].str,yypvt[-2].str,yypvt[-1].str,yypvt[-0].idfstr.idf,yypvt[-0].idfstr.succ);
			} /*NOTREACHED*/ break;
case 94:
# line 574 "chtml.y"
{ /* concatena le strighe */
			 strcatmem(yyval.str,yypvt[-0].idfstr.idf,yypvt[-0].idfstr.succ);
			} /*NOTREACHED*/ break;
case 95:
# line 580 "chtml.y"
{ /* concatena le strighe */
			 strcat3mem(yyval.str,yypvt[-2].str,yypvt[-1].str,yypvt[-0].str);
			} /*NOTREACHED*/ break;
case 97:
# line 586 "chtml.y"
{ /* empty */
			 stremptymem(yyval.str);
			} /*NOTREACHED*/ break;
case 98:
# line 592 "chtml.y"
{ /* concatena le strighe */
			 strcatmem(yyval.str,yypvt[-1].str,yypvt[-0].str);
			} /*NOTREACHED*/ break;
case 100:
# line 600 "chtml.y"
{ /* concatena le strighe */
			  char *elurl;
			  if ((elurl=hash_find(mainSTable,yypvt[-0].idfstr.idf))!=NULL)
			    { /* link */
			      yyval.str = (char *) malloc(strlen(yypvt[-0].idfstr.idf)+strlen(yypvt[-0].idfstr.succ)+
						       strlen(elurl)+18);
			      sprintf(yyval.str,"<A HREF=\"%s\">%s</A>%s",elurl,yypvt[-0].idfstr.idf,yypvt[-0].idfstr.succ);
			      free(yypvt[-0].idfstr.idf);
			      free(yypvt[-0].idfstr.succ);
			    }
			  else
			    {
			      strcatmem(yyval.str,yypvt[-0].idfstr.idf,yypvt[-0].idfstr.succ);
			    }
			} /*NOTREACHED*/ break;
case 101:
# line 616 "chtml.y"
{ /* concatena le strighe */
			  char *elurl;
			  if ((elurl=hash_find(mainSTable,yypvt[-0].idfstr.idf))!=NULL)
			    { /* link */
			      yyval.str = (char *) malloc(strlen(yypvt[-0].idfstr.idf)+strlen(yypvt[-0].idfstr.succ)+
						       strlen(elurl)+18);
			      sprintf(yyval.str,"<A HREF=\"%s\">%s</A>%s",elurl,yypvt[-0].idfstr.idf,yypvt[-0].idfstr.succ);
			      free(yypvt[-0].idfstr.idf);
			      free(yypvt[-0].idfstr.succ);
			    }
			  else
			    {
			      strcatmem(yyval.str,yypvt[-0].idfstr.idf,yypvt[-0].idfstr.succ);
			    }
			} /*NOTREACHED*/ break;
case 102:
# line 632 "chtml.y"
{
			  strcat3mem(yyval.str,yypvt[-0].strrec.pred,yypvt[-0].strrec.mid,yypvt[-0].strrec.succ);
			  free(yypvt[-0].strrec.name);
			} /*NOTREACHED*/ break;
case 121:
# line 659 "chtml.y"
{ /* concatena le strighe*/
			 strcat3mem(yyval.str,yypvt[-2].str,yypvt[-1].str,yypvt[-0].str);
			} /*NOTREACHED*/ break;
case 122:
# line 663 "chtml.y"
{ /* concatena le strighe*/
			 strcat5mem(yyval.str,yypvt[-4].str,yypvt[-3].str,yypvt[-2].str,yypvt[-1].str,yypvt[-0].str);
			} /*NOTREACHED*/ break;
case 123:
# line 669 "chtml.y"
{ /* concatena le strighe +TAG*/
			 hash_add(mainSTable,yypvt[-0].idfstr.idf,NULL);
			 hash_add(thisSTable,yypvt[-0].idfstr.idf,NULL);

			 yyval.str = (char *) malloc(strlen(yypvt[-3].str)+strlen(yypvt[-2].str)+strlen(yypvt[-1].str)+
						2*strlen(yypvt[-0].idfstr.idf)+
						strlen(yypvt[-0].idfstr.succ)+20);
			 strcpy(yyval.str,yypvt[-3].str);
			 strcat(yyval.str,yypvt[-2].str);
			 strcat(yyval.str,yypvt[-1].str);
			 strcat(yyval.str,"<A NAME=\"");
			 strcat(yyval.str,yypvt[-0].idfstr.idf);
			 strcat(yyval.str,"\"><B>");
			 strcat(yyval.str,yypvt[-0].idfstr.idf);
			 strcat(yyval.str,"</B>");
			 strcat(yyval.str,yypvt[-0].idfstr.succ);

			 free(yypvt[-3].str);
			 free(yypvt[-2].str);
			 free(yypvt[-1].str);
			 free(yypvt[-0].idfstr.idf);
			 free(yypvt[-0].idfstr.succ);
			} /*NOTREACHED*/ break;
case 124:
# line 693 "chtml.y"
{ /* concatena le strighe +TAG*/
			 hash_add(mainSTable,yypvt[-0].idfstr.idf,NULL);
			 hash_add(thisSTable,yypvt[-0].idfstr.idf,NULL);

			 yyval.str = (char *) malloc(2*strlen(yypvt[-0].idfstr.idf)+
						strlen(yypvt[-0].idfstr.succ)+20);
			 strcpy(yyval.str,"<A NAME=\"");
			 strcat(yyval.str,yypvt[-0].idfstr.idf);
			 strcat(yyval.str,"\"><B>");
			 strcat(yyval.str,yypvt[-0].idfstr.idf);
			 strcat(yyval.str,"</B>");
			 strcat(yyval.str,yypvt[-0].idfstr.succ);

			 free(yypvt[-0].idfstr.idf);
			 free(yypvt[-0].idfstr.succ);
			} /*NOTREACHED*/ break;
case 125:
# line 712 "chtml.y"
{ /* concatena le strighe */
			 strcatmem(yyval.str,yypvt[-1].str,yypvt[-0].str);
			} /*NOTREACHED*/ break;
case 127:
# line 720 "chtml.y"
{ /* concatena le strighe */
			  char *elurl;
			  if ((elurl=hash_find(mainSTable,yypvt[-0].idfstr.idf))!=NULL)
			    { /* link */
			      yyval.str = (char *) malloc(strlen(yypvt[-0].idfstr.idf)+strlen(yypvt[-0].idfstr.succ)+
						       strlen(elurl)+18);
			      sprintf(yyval.str,"<A HREF=\"%s\">%s</A>%s",elurl,yypvt[-0].idfstr.idf,yypvt[-0].idfstr.succ);
			      free(yypvt[-0].idfstr.idf);
			      free(yypvt[-0].idfstr.succ);
			    }
			  else
			    {
			      strcatmem(yyval.str,yypvt[-0].idfstr.idf,yypvt[-0].idfstr.succ);
			    }
			} /*NOTREACHED*/ break;
case 128:
# line 736 "chtml.y"
{ /* concatena le strighe */
			  char *elurl;
			  if ((elurl=hash_find(mainSTable,yypvt[-0].idfstr.idf))!=NULL)
			    { /* link */
			      yyval.str = (char *) malloc(strlen(yypvt[-0].idfstr.idf)+strlen(yypvt[-0].idfstr.succ)+
						       strlen(elurl)+18);
			      sprintf(yyval.str,"<A HREF=\"%s\">%s</A>%s",elurl,yypvt[-0].idfstr.idf,yypvt[-0].idfstr.succ);
			      free(yypvt[-0].idfstr.idf);
			      free(yypvt[-0].idfstr.succ);
			    }
			  else
			    {
			      strcatmem(yyval.str,yypvt[-0].idfstr.idf,yypvt[-0].idfstr.succ);
			    }
			} /*NOTREACHED*/ break;
case 129:
# line 752 "chtml.y"
{
			  strcat3mem(yyval.str,yypvt[-0].strrec.pred,yypvt[-0].strrec.mid,yypvt[-0].strrec.succ);
			  free(yypvt[-0].strrec.name);
			} /*NOTREACHED*/ break;
case 148:
# line 779 "chtml.y"
{ /* concatena le strighe */
			 strcat3mem(yyval.str,yypvt[-2].str,yypvt[-1].str,yypvt[-0].str);
			} /*NOTREACHED*/ break;
case 149:
# line 783 "chtml.y"
{ /* concatena le strighe */
			 strcatmem(yyval.str,yypvt[-1].str,yypvt[-0].str);
			} /*NOTREACHED*/ break;
case 150:
# line 789 "chtml.y"
{ /* concatena le due strighe */
			 strcatmem(yyval.str,yypvt[-1].str,yypvt[-0].str);
			} /*NOTREACHED*/ break;
case 151:
# line 793 "chtml.y"
{ /* concatena le strighe */
			 hash_add(mainSTable,yypvt[-1].idfstr.idf,NULL);
			 hash_add(thisSTable,yypvt[-1].idfstr.idf,NULL);

			 yyval.str = (char *) malloc(strlen(yypvt[-2].str)+
						  2*strlen(yypvt[-1].idfstr.idf)+strlen(yypvt[-1].idfstr.succ)+
						  strlen(yypvt[-0].str)+24);
			 sprintf(yyval.str,"<A NAME=\"%s\">%s<B>%s</B>%s%s",yypvt[-1].idfstr.idf,yypvt[-2].str,yypvt[-1].idfstr.idf,yypvt[-1].idfstr.succ,yypvt[-0].str);
			 free(yypvt[-2].str);
			 free(yypvt[-1].idfstr.idf);
			 free(yypvt[-1].idfstr.succ);
			 free(yypvt[-0].str);
			} /*NOTREACHED*/ break;
case 152:
# line 807 "chtml.y"
{ /* concatena le strighe */
			  char *elurl;
			  if ((elurl=hash_find(mainSTable,yypvt[-0].idfstr.idf))!=NULL)
			    { /* link */
			      yyval.str = (char *) malloc(strlen(yypvt[-1].str)+
						       strlen(yypvt[-0].idfstr.idf)+strlen(yypvt[-0].idfstr.succ)+
						       strlen(elurl)+18);
			      sprintf(yyval.str,"<A HREF=\"%s\">%s%s</A>%s",elurl,yypvt[-1].str,yypvt[-0].idfstr.idf,yypvt[-0].idfstr.succ);
			      free(yypvt[-1].str);
			      free(yypvt[-0].idfstr.idf);
			      free(yypvt[-0].idfstr.succ);
			    }
			  else
			    {
			      strcat3mem(yyval.str,yypvt[-1].str,yypvt[-0].idfstr.idf,yypvt[-0].idfstr.succ);
			    }
			} /*NOTREACHED*/ break;
case 153:
# line 825 "chtml.y"
{ /* concatena le strighe */
			  char *elurl;
			  if ((elurl=hash_find(mainSTable,yypvt[-0].idfstr.idf))!=NULL)
			    { /* link */
			      yyval.str = (char *) malloc(strlen(yypvt[-0].idfstr.idf)+strlen(yypvt[-0].idfstr.succ)+
						       strlen(elurl)+18);
			      sprintf(yyval.str,"<A HREF=\"%s\">%s</A>%s",elurl,yypvt[-0].idfstr.idf,yypvt[-0].idfstr.succ);
			      free(yypvt[-0].idfstr.idf);
			      free(yypvt[-0].idfstr.succ);
			    }
			  else
			    {
			      strcatmem(yyval.str,yypvt[-0].idfstr.idf,yypvt[-0].idfstr.succ);
			    }
			} /*NOTREACHED*/ break;
case 155:
# line 843 "chtml.y"
{ /* empty */
			 stremptymem(yyval.str);
			} /*NOTREACHED*/ break;
case 156:
# line 850 "chtml.y"
{ /* concatena le strighe */
			 strcatmem(yyval.str,yypvt[-1].str,yypvt[-0].str);
			} /*NOTREACHED*/ break;
case 158:
# line 857 "chtml.y"
{ /* concatena le due strighe */
			 strcatmem(yyval.str,yypvt[-1].str,yypvt[-0].str);
			} /*NOTREACHED*/ break;
case 160:
# line 865 "chtml.y"
{ /* concatena le due strighe */
			 strcatmem(yyval.str,yypvt[-1].str,yypvt[-0].str);
			} /*NOTREACHED*/ break;
}


	goto yystack;		/* reset registers in driver code */
}
